Name | Type | Default |
columns
|
Array
|
[]
|
Defines the layout of the widget's elements. Each Array item should be a Percentage Value and the total should be "100%".
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :columns="columns"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue'; export default { components: { JqxNavBar }, data: function () { return { columns: [ '30%', '40%', '30%']
|
disabled
|
Boolean
|
false
|
Enables/disables the navbar.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :disabled="true"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
height
|
Number | String
|
null
|
Sets or gets the NavBar's height.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
minimized
|
Boolean
|
false
|
Defines whether the NavBar is minimized.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :minimized="true"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
minimizeButtonPosition
|
String
|
'left'
|
Defines the position of the Toggle Button in the minimized state.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :minimized="true" :minimizeButtonPosition="'right'"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
minimizedHeight
|
Number
|
30
|
Defines the NavBar's height in minimized state.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :minimized="true" :minimizedHeight="40"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
minimizedTitle
|
String
|
""
|
Defines the NavBar's Title in minimized state.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :minimized="true" :minimizedTitle="'custom element'"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
orientation
|
String
|
"horizontal"
|
Defines the NavBar's orientation. Possible values: "horizontal", "vertical".
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :orientation="'vertical'"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
popupAnimationDelay
|
Number
|
250
|
Defines the animation speed of the NavBar's Popup in minimized state.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :minimized="true" :popupAnimationDelay="400"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :rtl="true"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
selection
|
Boolean
|
true
|
Sets or gets whether the items can be selected.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :selection="false"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
selectedItem
|
Number
|
0
|
Sets or gets the selected item. The property is taken into account when selection is true.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :selectedItem="1"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :theme="'material'"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
width
|
Number | String
|
'100%'
|
Sets or gets the NavBar's width.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue';
|
|
change
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the change event of jqxNavBar.
<template> <JqxNavBar ref="myNavBar" @change="onChange($event)" :width="'90%'" :height="50"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue'; export default { components: { JqxNavBar }, methods: { onChange: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
close
|
None
|
None
|
When NavBar is minimized, closes the popup.
<template> <div> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :minimized="true"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar> <JqxButton class="button" @click="open">Open </JqxButton> <JqxButton class="button" @click="close">Close </JqxButton> </div></template><script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavBar, JqxButton }, methods: { open: function () { this.$refs.myNavBar.open(); }, close: function () { this.$refs.myNavBar.close();
|
destroy
|
None
|
None
|
Destroys the jqxNavBar widget.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue'; export default { components: { JqxNavBar }, mounted: function () { this.$refs.myNavBar.destroy();
|
getSelectedIndex
|
None
|
Number
|
Gets the index of the selected item. The returned value is the index of the selected item. If there's no selected item, -1 is returned.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue'; export default { components: { JqxNavBar }, mounted: function () { const value = this.$refs.myNavBar.getSelectedIndex();
|
open
|
None
|
None
|
When NavBar is minimized, opens the popup.
<template> <div> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50" :minimized="true"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar> <JqxButton class="button" @click="open">Open </JqxButton> <JqxButton class="button" @click="close">Close </JqxButton> </div></template><script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue'; import JqxButton from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxbuttons.vue'; export default { components: { JqxNavBar, JqxButton }, methods: { open: function () { this.$refs.myNavBar.open(); }, close: function () { this.$refs.myNavBar.close();
|
selectAt
|
index
|
None
|
Selects the item with indicated index. Index is a number.
<template> <JqxNavBar ref="myNavBar" :width="'90%'" :height="50"> <ul> <li>1</li> <li>2</li> <li>3</li> </ul> </JqxNavBar></template> <script> import JqxNavBar from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxnavbar.vue'; export default { components: { JqxNavBar }, mounted: function () { this.$refs.myNavBar.selectAt(1);
|

Name | Type | Default |
columns
|
Array<String>
|
[]
|
Sets or gets the columns property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40" [columns]="columns"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40" [disabled]="true"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
height
|
String | Number
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
minimized
|
Boolean
|
false
|
Sets or gets the minimized property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40" [minimized]="true"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
minimizeButtonPosition
|
enum:NavBarMinimizeButtonPosition
|
'left'
|
enum NavBarMinimizeButtonPosition { left, right } Sets or gets the minimizeButtonPosition property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40" [minimizeButtonPosition]="'right'"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
minimizedHeight
|
String | Number
|
30
|
Sets or gets the minimizedHeight property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40" [minimizedHeight]="40"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
minimizedTitle
|
String | Number
|
""
|
Sets or gets the minimizedTitle property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40" [minimizedTitle]="'custom element'"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
orientation
|
enum:NavBarOrientationOrientation
|
"horizontal"
|
Sets or gets the orientation property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40" [orientation]="'vertical'"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
popupAnimationDelay
|
Number
|
250
|
Sets or gets the popupAnimationDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40" [popupAnimationDelay]="400"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40" [rtl]="true"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
selection
|
Boolean
|
true
|
Sets or gets the selection property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40" [selection]="false"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
selectedItem
|
String | Number
|
0
|
Sets or gets the selectedItem property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40" [selectedItem]="1"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40" [theme]="'fresh'"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
width
|
String | Number
|
'100%'
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
|
change
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the change event of jqxNavBar.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar (onChange)="Change($event)" [width]="300" [height]="40"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent {
|
|
Name | Return Type | Arguments |
close
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavBar') myNavBar: jqxNavBarComponent;
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavBar') myNavBar: jqxNavBarComponent;
|
getSelectedIndex
|
Number
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavBar') myNavBar: jqxNavBarComponent; ngAfterViewInit(): void { let value = this.myNavBar.getSelectedIndex();
|
open
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavBar') myNavBar: jqxNavBarComponent;
|
selectAt
|
Void
|
index: String | Number
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxNavBar #NavBar [width]="300" [height]="40"> <ul> <li>1</li> <li>2 </li> </ul> </jqxNavBar> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myNavBar') myNavBar: jqxNavBarComponent; ngAfterViewInit(): void { this.myNavBar.selectAt(1);
|

Name | Type | Default |
columns
|
Array<string>
|
[]
|
Defines the layout of the widget's elements. Each Array item should be a Percentage Value and the total should be "100%".
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); constructor(props: {}) { super(props); this.state = { columns: [ '30%', '40%', '30%'] } } public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50} columns={this.state.columns}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Enables/disables the navbar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50} disabled={true}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
height
|
string | number
|
null
|
Sets or gets the NavBar's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minimized
|
boolean
|
false
|
Defines whether the NavBar is minimized.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50} minimized={true}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minimizeButtonPosition
|
NavBarMinimizeButtonPosition
|
'left'
|
NavBarMinimizeButtonPosition: "left" | "right"
Defines the position of the Toggle Button in the minimized state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50} minimized={true} minimizeButtonPosition={'right'}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minimizedHeight
|
number | string
|
30
|
Defines the NavBar's height in minimized state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50} minimized={true} minimizedHeight={40}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
minimizedTitle
|
number | string
|
""
|
Defines the NavBar's Title in minimized state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50} minimized={true} minimizedTitle={'custom element'}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
orientation
|
NavBarOrientation
|
"horizontal"
|
NavBarOrientation: "vertical" | "horizontal"
Defines the NavBar's orientation. Possible values: "horizontal", "vertical".
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50} orientation={'vertical'}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
popupAnimationDelay
|
number
|
250
|
Defines the animation speed of the NavBar's Popup in minimized state.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50} minimized={true} popupAnimationDelay={400}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50} rtl={true}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selection
|
boolean
|
true
|
Sets or gets whether the items can be selected.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50} selection={false}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
selectedItem
|
number | string
|
0
|
Sets or gets the selected item. The property is taken into account when selection is true.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50} selectedItem={1}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50} theme={'material'}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
string | number
|
'100%'
|
Sets or gets the NavBar's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
change
|
Event
|
|
This event is triggered when the user selects an item.
Code examples
Bind to the change event of jqxNavBar.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public render() { return ( <JqxNavBar ref={this.myNavBar} onChange={this.onChange} width={ '90%'} height={50}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
Name | Arguments | Return Type |
close
|
None
|
|
When NavBar is minimized, closes the popup.
|
destroy
|
None
|
|
Destroys the jqxNavBar widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public componentDidMount(): void { this.myNavBar.current!.destroy(); } public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
getSelectedIndex
|
None
|
|
Gets the index of the selected item. The returned value is the index of the selected item. If there's no selected item, -1 is returned.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public componentDidMount(): void { this.myNavBar.current!.getSelectedIndex(); } public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
open
|
None
|
|
When NavBar is minimized, opens the popup.
|
selectAt
|
index
|
|
Selects the item with indicated index. Index is a number.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxNavBar, { INavBarProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxnavbar'; class App extends React.PureComponent<{}, INavBarProps> { private myNavBar = React.createRef<JqxNavBar>(); public componentDidMount(): void { this.myNavBar.current!.selectAt(1); } public render() { return ( <JqxNavBar ref={this.myNavBar} width={ '90%'} height={50}> <ul> <li>1 </li> <li>2 </li> <li>3 </li> </ul> </JqxNavBar> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|